=== lib/CMakeLists.txt ===

subdirs (quvicpp)
