## cclive 0.6.3

=== debian/changelog ===
cclive (0.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #576866, 582458).
  * Fix d/watch (Closes: #582372).
  * Add libquvi-dev in Build-Depends field.

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sat, 22 May 2010 11:13:52 -0430

cclive (0.6.2-1) unstable; urgency=low

  * New upstream version 

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Mon, 29 Mar 2010 22:24:13 -0430

cclive (0.5.7-1) unstable; urgency=low

  * New upstream release

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Mon, 21 Dec 2009 22:21:19 -0430

cclive (0.5.6-1) unstable; urgency=low

  * New upstream release 

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sun, 13 Dec 2009 22:18:21 -0430

cclive (0.5.5-1) unstable; urgency=low

  * New upstream release 
  * debian/control: 
       - Remove libcurl4-openssl-dev 
       - libcurl4-gnutls-dev (Closes: #556597).
 
 -- Alejandro Garrido Mota <garridomota@gmail.com>  Fri, 20 Nov 2009 14:29:01 -0430

cclive (0.5.2-1) unstable; urgency=low

  * New upstream release 
  * Remove "export DH_VERBOSE=1" from d/rules

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sun, 04 Oct 2009 10:41:39 -0430

cclive (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Remove README.w32 from debian docs 
  * Update debian/rules to use dh7 template.

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Wed, 16 Sep 2009 19:55:07 -0430

cclive (0.5.0-2) unstable; urgency=low

  * Fix arch field in debian/control file.

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Fri, 04 Sep 2009 06:20:17 -0430

cclive (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #544239)

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sat, 29 Aug 2009 17:12:10 -0430
