=== debian/control ===
Source: cclive
Section: video
Priority: optional
Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, libcurl4-gnutls-dev,
               libpcre3-dev, libquvi-dev 
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/cclive/

Package: cclive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight command line video extraction tool 
 cclive is a lightweight command line video extraction tool for Youtube and
 other similar video websites. It is a rewrite of the clive software in C++
 with lower system footprint and fewer dependencies.
 .
 cclive is primarily a "video download tool" but it can also be used along
 side with video player software, like "mplayer", for viewing streamed
 videos instead of the Adobe flash player.
