=== debian/watch ===
version=3
http://code.google.com/p/cclive/downloads/list \
              .*=cclive-(.*).tar.bz2.*
