## cclive 0.7.0.1

=== debian/changelog ===
cclive (0.7.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #607779)
  * Remove d/cclive.clean and d/cclive.docs
  * d/rules: 
      - Remove dh_auto_configure entry. It's not needed because the 
        package use the cmake.
      - Add upstream changelog override to NEWS ('ChangLog' upstream 
        file is really a git log).
  * d/control: 
      - Replace autotools-dev depends to cmake.
      - Update homepage field (Closes: #608071).
  * d/copyright: 
      - Updated format to DEP5
      - Remove src/funnyhub.cpp and src/myubo.cpp (files were removed from
        upstream version)
    entries. 
  * Update watch file to use new oficial page sf.net
  * Remove NEWS and TODO from d/cclive.docs
  * Add patches/fix-deps patch to downgrade libpcrecpp depend and set build
    type in "release" instead of "debug".  

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Fri, 03 Sep 2010 00:16:43 -0430
