=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: video
 Priority: optional
 Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), autotools-dev, libcurl4-gnutls-dev,
-               libpcre3-dev, libquvi-dev 
-Standards-Version: 3.8.4
-Homepage: http://code.google.com/p/cclive/
+Build-Depends: debhelper (>= 7.0.50), cmake, libcurl4-gnutls-dev, libpcre3-dev,
+         libquvi-dev, libboost-filesystem1.42-dev, libboost-iostreams1.42-dev,
+         libboost-program-options1.42-dev 
+Standards-Version: 3.9.1
+Homepage: http://cclive.sourceforge.net
 
 Package: cclive
 Architecture: any
