## cclive 0.7.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 # Version.
 
-set (VERSION "0.7.0.1")
+set (VERSION "0.7.3.1")
 set (VERSION_LONG "${VERSION}")
-set (BRANCH "0.7.0")
+set (BRANCH "master")
 
 if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.git")
     find_program (GIT_PROG "git")
@@ -72,23 +72,35 @@
     set (WITHOUT_DOC false)
 endif ()
 
+# Include dir.
+
+include_directories (BEFORE ${CMAKE_CURRENT_SOURCE_DIR}/include)
+
 # Prerequisites.
 
 include (FindPkgConfig)
 
-pkg_check_modules (quvi     libquvi>=0.2.0 REQUIRED)
+pkg_check_modules (quvi libquvi>=0.2.0 REQUIRED QUIET)
 include_directories (AFTER ${quvi_INCLUDE_DIRS})
 link_directories (${quvi_LIBRARY_DIRS})
 
-pkg_check_modules (curl     libcurl>=7.20 REQUIRED)
+if (quvi_VERSION VERSION_GREATER 0.2.7)
+    set (HAVE_QUVIOPT_NOSHORTENED true)
+endif ()
+
+if (quvi_VERSION VERSION_GREATER 0.2.11)
+    set (HAVE_QUVIOPT_CATEGORY true)
+endif ()
+
+pkg_check_modules (curl libcurl>=7.20 REQUIRED QUIET)
 include_directories (AFTER ${curl_INCLUDE_DIRS})
 link_directories (${curl_LIBRARY_DIRS})
 
-pkg_check_modules (pcre libpcrecpp>=8.10 REQUIRED)
+pkg_check_modules (pcre libpcre>=8.02 REQUIRED QUIET)
 include_directories (AFTER ${pcre_INCLUDE_DIRS})
 link_directories (${pcre_LIBRARY_DIRS})
 
-pkg_check_modules (pcrecpp  libpcrecpp>=8.10 REQUIRED)
+pkg_check_modules (pcrecpp libpcrecpp>=8.02 REQUIRED QUIET)
 include_directories (AFTER ${pcrecpp_INCLUDE_DIRS})
 link_directories (${pcrecpp_LIBRARY_DIRS})
 
@@ -107,6 +119,7 @@
 
 set (Boost_USE_STATIC_LIBS   OFF)
 set (Boost_USE_MULTITHREADED OFF)
+set (Boost_FIND_QUIETLY      ON)
 
 find_package (Boost 1.42.0 COMPONENTS ${boost_LIBS} REQUIRED)
 
@@ -115,6 +128,18 @@
 
 set (boost_VERSION
     "${Boost_MAJOR_VERSION}.${Boost_MINOR_VERSION}.${Boost_SUBMINOR_VERSION}")
+
+# Version 3 is a major revision with many new and improved features. It
+# may, however, break some user code written for Version 2.
+#
+# To ease the transition, Boost releases 1.44 through 1.47 will supply
+# both V2 and V3. Version 2 is the default version for Boost release 1.44
+# and 1.45. Version 3 will be the default starting with release 1.46.
+#   <http://www.boost.org/libs/filesystem/index.html>
+
+if (boost_VERSION VERSION_GREATER 1.43.0)
+    set (HAVE_BOOST_FILESYSTEM_VERSION_3 true)
+endif ()
 
 # Check for headers.
 
@@ -132,33 +157,37 @@
 check_function_exists (strerror     HAVE_STRERROR)
 check_function_exists (fork         HAVE_FORK)
 check_function_exists (getcwd       HAVE_GETCWD)
+check_function_exists (getpid       HAVE_GETPID)
+check_function_exists (signal       HAVE_SIGNAL)
 
 # Subdirs.
 
-subdirs (lib cclive man1)
+subdirs (src man1)
 
 # Status.
 
 message (STATUS)
-message (STATUS "Configuration for")
+message (STATUS "Configured:")
 message (STATUS "   cclive ${VERSION_LONG}")
-message (STATUS)
-message (STATUS "Options:")
-message (STATUS "   Install prefix: ${CMAKE_INSTALL_PREFIX}")
-message (STATUS "   Host setup    : ${HOST_SETUP}")
-message (STATUS "   Build type    : ${CMAKE_BUILD_TYPE}")
-message (STATUS "       (debug, release, relwithdebinfo, minsizerel)")
-message (STATUS "   Verbose make  : ${CMAKE_VERBOSE_MAKEFILE}")
-message (STATUS "   Without doc   : ${WITHOUT_DOC}")
 message (STATUS)
 message (STATUS "Found:")
 message (STATUS "   Compiler: ${CMAKE_CXX_COMPILER}")
 message (STATUS "   Linker  : ${CMAKE_LINKER}")
+message (STATUS "   CMake   : ${CMAKE_VERSION}")
 message (STATUS "   Make    : ${CMAKE_MAKE_PROGRAM}")
+message (STATUS "   Host    : ${HOST_SETUP}")
 message (STATUS "   quvi    : ${quvi_VERSION}")
 message (STATUS "   curl    : ${curl_VERSION}")
 message (STATUS "   pcre    : ${pcre_VERSION}")
+message (STATUS "   pcrecpp : ${pcrecpp_VERSION}")
 message (STATUS "   boost   : ${boost_VERSION}")
+message (STATUS)
+message (STATUS "Options:")
+message (STATUS "   Install prefix: ${CMAKE_INSTALL_PREFIX}")
+message (STATUS "   Verbose make  : ${CMAKE_VERBOSE_MAKEFILE}")
+message (STATUS "   Without doc   : ${WITHOUT_DOC}")
+message (STATUS "   Build type    : ${CMAKE_BUILD_TYPE}")
+message (STATUS "       (debug, release, relwithdebinfo, minsizerel)")
 message (STATUS)
 
 # Force these variables to be written to cache.
@@ -182,45 +211,7 @@
     "${CMAKE_CURRENT_BINARY_DIR}/config.h"
 )
 
-# CPack.
-
-include (InstallRequiredSystemLibraries)
-
-set (CPACK_SOURCE_PACKAGE_FILE_NAME
-    "cclive-${VERSION}"
-    CACHE INTERNAL
-    "tarball basename"
-)
-
-set (CPACK_PACKAGE_FILE_NAME ${CPACK_SOURCE_PACKAGE_FILE_NAME})
-set (CPACK_GENERATOR "TGZ")
-set (CPACK_SOURCE_GENERATOR "TGZ")
-set (CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
-set (CPACK_RESOURCE_FILE_README  ${CMAKE_CURRENT_SOURCE_DIR}/README)
-
-set (CPACK_SOURCE_IGNORE_FILES
-    "/.git"
-    "/.cmake/"
-    "/CMakeFiles/"
-    "/CMakeCache/"
-    "/Makefile/"
-    "/tmp/"
-    "/OLD/"
-    "/old/"
-    "TODO"
-    "/.gar"
-)
-
-# Notice the inclusion here, after setting the cpack variables.
-include (CPack)
-
-# dist.
-
-add_custom_target (
-    dist
-    git log --stat --after="Thu Aug 12 15:54:58 2010" >
-        "${CMAKE_CURRENT_SOURCE_DIR}/ChangeLog" && make package_source
-)
+include_directories (${CMAKE_CURRENT_BINARY_DIR})
 
 # Uninstall.
