=== debian/changelog ===
cclive (0.7.3.1-1ubuntu1) oneiric; urgency=low

  * Bump boost build-depends to 1.46

 -- Scott Kitterman <scott@kitterman.com>  Sat, 06 Aug 2011 00:20:58 -0400

cclive (0.7.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #608393, #588795) 
  * Remove patch: The changes was included by upstream author.
  * Remove two white lines in d/rules 
  * d/copyright: Update Copyright years to 2009,2011 

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Mon, 07 Mar 2011 14:37:59 -0430
