=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: cclive
 Section: video
 Priority: optional
-Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), cmake, libcurl4-gnutls-dev, libpcre3-dev,
-         libquvi-dev, libboost-filesystem1.42-dev, libboost-iostreams1.42-dev,
-         libboost-program-options1.42-dev 
+         libquvi-dev, libboost-filesystem1.46-dev, libboost-iostreams1.46-dev,
+         libboost-program-options1.46-dev 
 Standards-Version: 3.9.1
 Homepage: http://cclive.sourceforge.net
