=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=release

override_dh_installchangelogs:
	dh_installchangelogs NEWS
