=== debian/watch ===
version=3
http://sf.net/cclive/cclive-(.*).tar.gz
