## cclive 0.7.9

=== debian/changelog ===
cclive (0.7.9-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:40 +0100

cclive (0.7.9-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 25 Apr 2012 23:16:22 +0200

cclive (0.7.8-1) unstable; urgency=low

  * Upload to unstable.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.3.
    + Use copyright format 1.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 03 Mar 2012 23:43:55 +0100
