=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: cclive
 Section: video
 Priority: optional
-Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
+Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Build-Depends: debhelper (>= 7.0.50), dh-autoreconf, libcurl4-gnutls-dev, libpcre3-dev,
          libquvi-dev (>= 0.2.16.1), libboost-filesystem-dev, libboost-iostreams-dev,
          libboost-program-options-dev, libboost-date-time-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://cclive.sourceforge.net
 Vcs-Git: git://github.com/mogaal/cclive.git
 Vcs-Browser: https://github.com/mogaal/cclive
