## cclive 0.7.12

=== debian/changelog ===
cclive (0.7.12-2) unstable; urgency=low

  * Upload to unstable.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 09 May 2013 15:10:59 +0200

cclive (0.7.12-1) experimental; urgency=low

  * New upstream release.
    - Do not ignore IO errors. (Closes: #699484)
  * d/copyright: update copyright years.

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sat, 16 Feb 2013 14:55:46 -0430

cclive (0.7.11-1) experimental; urgency=low

  * New upstream release. 

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Sun, 16 Dec 2012 09:40:32 -0430

cclive (0.7.10-1) experimental; urgency=low

  * New upstream release. 
  * Update fix-rpath patch.
  * Create cclive.links to add man symlink for ccl.
  * Update d/compat and d/control to dh9.
  * Update Standards-Version to 3.9.4.

 -- Alejandro Garrido Mota <garridomota@gmail.com>  Mon, 08 Oct 2012 22:33:11 -0430
