=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: cclive
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
+Maintainer: Alejandro Garrido Mota <garridomota@gmail.com>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>
-Build-Depends: debhelper (>= 7.0.50), dh-autoreconf, libcurl4-gnutls-dev, libpcre3-dev,
+Build-Depends: debhelper (>= 9), dh-autoreconf, libcurl4-gnutls-dev, libpcre3-dev,
          libquvi-dev (>= 0.2.16.1), libboost-filesystem-dev, libboost-iostreams-dev,
-         libboost-program-options-dev, libboost-date-time-dev
-Standards-Version: 3.9.3
+         libboost-program-options-dev, libboost-date-time-dev, asciidoc
+Standards-Version: 3.9.4
 Homepage: http://cclive.sourceforge.net
 Vcs-Git: git://github.com/mogaal/cclive.git
 Vcs-Browser: https://github.com/mogaal/cclive
