## cclive 0.7.16

=== debian/changelog ===
cclive (0.7.16-2.1build1) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 13:00:51 +0100

cclive (0.7.16-2.1) unstable; urgency=medium

  * Non maintainer upload.
  * Fix build failure with GCC 5, call cpp with -P. Closes: #777812.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jul 2015 10:48:26 +0200

cclive (0.7.16-2) unstable; urgency=low

  * fix-rpath.diff: Add Last-Update statement. 
  * Add pkg-config to BD in d/control (Closes: #747766)
  * Update Standards-Version to 3.9.5

 -- Alejandro Garrido Mota <alejandro@debian.org>  Sun, 11 May 2014 16:51:26 -0430

cclive (0.7.16-1) unstable; urgency=low

  * Adapt d/watch to stable version only (0.7.X).
  * New upstream release (Closes: #722616, #720870).
  * (cosmetic) Improve d/control structure.
  * Add copyright of m4/boost.m4 in d/copyright.
  * Add subdir-objects to AM_INIT_AUTOMAKE var in fix-rpath.diff. 

 -- Alejandro Garrido Mota <alejandro@debian.org>  Fri, 20 Sep 2013 10:22:56 -0430

cclive (0.7.15-1) unstable; urgency=low

  * New upstream release.

 -- Alejandro Garrido Mota <alejandro@debian.org>  Fri, 09 Aug 2013 05:49:49 -0430
