=== debian/control ===
Source: cclive
Section: video
Priority: optional
Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 libcurl4-gnutls-dev,
 libpcre3-dev,
 libquvi-dev (>= 0.2.16.1),
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-program-options-dev,
 libboost-date-time-dev,
 asciidoc,
 pkg-config
Standards-Version: 3.9.5
Homepage: http://cclive.sourceforge.net
Vcs-Git: git://github.com/mogaal/cclive.git
Vcs-Browser: https://github.com/mogaal/cclive

Package: cclive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: lightweight command line video extraction tool 
 cclive is a lightweight command line video extraction tool for Youtube and
 other similar video websites. It is a rewrite of the clive software in C++
 with lower system footprint and fewer dependencies.
 .
 cclive is primarily a "video download tool" but it can also be used along
 side with video player software, like "mplayer", for viewing streamed
 videos instead of the Adobe flash player.
