=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_builddeb:
	dh_builddeb -- -Zxz
