=== debian/watch ===
version=3
http://sf.net/cclive/cclive-(0\.7\..*).tar.(?:xz|gz|bz2)
