## cclive 0.9.3

=== debian/changelog ===
cclive (0.9.3-0.1build3) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:10:27 +0000

cclive (0.9.3-0.1build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:11:54 +0000

cclive (0.9.3-0.1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:39:57 +0000

cclive (0.9.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Henriksson ]
  * Update debian/watch to scan for all versions, not just 0.7.x.
  * New upstream release (Closes: #810953)
    - includes libquvi 0.9 support.
  * Update debian/copyright for GPLv3+ -> AGPLv3+ change.

  [ Tim Lunn ]
  * debian/control.in:
    - Add build-deps on libglib2.0-dev and libglibmm-2.4-dev
    - Bump build-deps on libquvi-0.9-dev and libboost
  * Add d/p/fix-FTBFS-missing-includes.patch
    - fix build failure due to missing includes

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 18 Feb 2016 17:24:49 +0100
