=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: cclive
 Section: video
 Priority: optional
-Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  libcurl4-gnutls-dev,
+ libglib2.0-dev,
+ libglibmm-2.4-dev,
  libpcre3-dev,
- libquvi-dev (>= 0.2.16.1),
- libboost-filesystem-dev,
- libboost-iostreams-dev,
- libboost-program-options-dev,
- libboost-date-time-dev,
+ libquvi-0.9-dev,
+ libboost-filesystem-dev (>= 1.49),
+ libboost-iostreams-dev (>= 1.49),
+ libboost-program-options-dev (>= 1.49),
+ libboost-date-time-dev (>= 1.49),
  asciidoc,
  pkg-config
 Standards-Version: 3.9.5
